Page MenuHomePhabricator

Concurrent uploading is broken
Closed, ResolvedPublic

Description

Although I have "3" as my maximum number of concurrent uploads, Upload Wizard now uploads files one at a time. (Chrome/Ubuntu)


Version: unspecified
Severity: major

Details

Reference
bz48090

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:39 AM
bzimport set Reference to bz48090.
bzimport added a subscriber: Unknown Object (MLST).
Eloquence created this task.May 5 2013, 1:39 AM

Related URL: https://gerrit.wikimedia.org/r/62320 (Gerrit Change I0d9f13c6b7698056d4f9ed113b9b23b2f266263d)

Merged - marking as fixed, as it worked locally, but we should revisit when it's deployed and maybe set up some browser testing with Chris.

Adding Zeljko to this, also made a note on test backlog page for browser test coverage of concurrent uploads in UW.

Mark, since this is a pretty major regression, do you think you'd be able to arrange for a quick deploy this week? Otherwise we'll have to wait til May 15.

If we set up a deploy window this week, we should try to get a fix for Opera in as well, which appears completely broken right now (bug 48091).

That's possible, though I haven't deployed to the cluster yet, so it would be best to have someone ride along.

kaldari and I are planning on deploying on Wednesday.

greg added a comment.May 7 2013, 5:20 PM

Scheduled for Wednesday May 8th at 1:30 Pacific (20:30 UTC).

(btw, yes, this bug is now "resolved" and I've set the Backport flag to "+" (accepting it) but it really isn't out there and deployed yet, unfortunately there is currently no way to indicate that in BZ... yet)

Deployed to Commons today. Please test and confirm.

Confirmed fixed in FF and Chrome. (Pref now shows "0" as an option for concurrent uploads, we should fix that, but that's trivial and can wait.)

Yeah, I guess I should have left in the unset and added a 'default' => 'default' member instead. I'll submit a separate enh bug.

Gilles raised the priority of this task from High to Unbreak Now!.Dec 4 2014, 10:21 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to High.Dec 4 2014, 11:21 AM